Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Artur Malabarba <[email-masked]>
Date: Wed, 18 Nov 2015 19:09:17 +0000

Quite a few of these are about using obsolete functions inside features
that are themselves obsolete (their files are in the obsolete subdir).
Maybe we can just suppress this kind of warning inside the obsolete subdir.
Perhaps with a dir-local-variable?